Subject: 2.0.33

From: Philip Blundell <[email-masked]>
Date: Fri, 19 Dec 1997 11:25:04 +0000

Hi.

I made a new ARM patch against kernel 2.0.33.  You can get it at

	http://www.tazenda.demon.co.uk/arm-diff-2.0.33-971219.gz

This patch is based on Russell's patch of 14/9/97 against 2.0.31pre9.  Aside 
from the minor tweaks needed for 2.0.33, the changes are:

 - Machine and CPU type selection are done by `make config' (or menuconfig, 
xconfig etc..) rather than by editing the Makefile.
 - Initial support for a new machine type, `nexuspci'.
 - Some compatibility cruft removed; you need the new binutils now.
 - Folded some of the changes to (eg) floppy.c back into the generic driver, 
rather than having an ARM-specific version.
 - Changed the ZTEXTADDR setting for ARM2/3 machines to make the bootloader's 
life easier.  If you need to change it back (to use an existing loader) this 
setting is in arch/arm/Makefile.

This stuff is all largely untested, though I can successfully compile RiscPC 
kernels with it.

Enjoy.

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Fri, 19 Dec 1997 20:52:35 +0000 (GMT)

> I made a new ARM patch against kernel 2.0.33.  You can get it at

If you also want people to download it once, don't put it on http only.
Make it available on FTP.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Fri, 19 Dec 1997 20:43:26 +0000 (GMT)

> 	http://www.tazenda.demon.co.uk/arm-diff-2.0.33-971219.gz

This will, of course, be totally incompatible with my 2.0.33 patch once
released.  (This is the first that even I have heard about this).
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Philip Blundell <[email-masked]>
Date: Sat, 20 Dec 1997 21:01:55 +0000

>Make it available on FTP.

I don't have a convenient FTP site to make it available on at the moment.

(I don't quite understand what you're saying...)

p.